package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 评卷任务表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_task")
@ApiModel(value="MarkTask对象", description="评卷任务表")
public class MarkTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "考试ID")
    private Integer examId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "大题号")
    private Integer groupNumber;

    @ApiModelProperty(value = "考生ID")
    private Integer studentId;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "考生密号")
    private String secretNumber;

    @ApiModelProperty(value = "多评任务序号")
    private Integer taskNumber;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "评卷员ID")
    private Integer userId;

    @ApiModelProperty(value = "评卷时间")
    private LocalDateTime markerTime;

    @ApiModelProperty(value = "评卷总分")
    private Double markerScore;

    @ApiModelProperty(value = "评卷给分明细")
    private String markerScoreList;

    @ApiModelProperty(value = "评卷时长")
    private Integer markerSpent;

    @ApiModelProperty(value = "科组长ID")
    private Integer headerId;

    @ApiModelProperty(value = "科组长评卷时间")
    private LocalDateTime headerTime;

    @ApiModelProperty(value = "科组长总分")
    private Double headerScore;

    @ApiModelProperty(value = "科组长给分明细")
    private String headerScoreList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }
    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }
    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }
    public Integer getTaskNumber() {
        return taskNumber;
    }

    public void setTaskNumber(Integer taskNumber) {
        this.taskNumber = taskNumber;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
    public LocalDateTime getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(LocalDateTime markerTime) {
        this.markerTime = markerTime;
    }
    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }
    public String getMarkerScoreList() {
        return markerScoreList;
    }

    public void setMarkerScoreList(String markerScoreList) {
        this.markerScoreList = markerScoreList;
    }
    public Integer getMarkerSpent() {
        return markerSpent;
    }

    public void setMarkerSpent(Integer markerSpent) {
        this.markerSpent = markerSpent;
    }
    public Integer getHeaderId() {
        return headerId;
    }

    public void setHeaderId(Integer headerId) {
        this.headerId = headerId;
    }
    public LocalDateTime getHeaderTime() {
        return headerTime;
    }

    public void setHeaderTime(LocalDateTime headerTime) {
        this.headerTime = headerTime;
    }
    public Double getHeaderScore() {
        return headerScore;
    }

    public void setHeaderScore(Double headerScore) {
        this.headerScore = headerScore;
    }
    public String getHeaderScoreList() {
        return headerScoreList;
    }

    public void setHeaderScoreList(String headerScoreList) {
        this.headerScoreList = headerScoreList;
    }

    @Override
    public String toString() {
        return "MarkTask{" +
            "id=" + id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", groupNumber=" + groupNumber +
            ", studentId=" + studentId +
            ", studentCode=" + studentCode +
            ", secretNumber=" + secretNumber +
            ", taskNumber=" + taskNumber +
            ", status=" + status +
            ", userId=" + userId +
            ", markerTime=" + markerTime +
            ", markerScore=" + markerScore +
            ", markerScoreList=" + markerScoreList +
            ", markerSpent=" + markerSpent +
            ", headerId=" + headerId +
            ", headerTime=" + headerTime +
            ", headerScore=" + headerScore +
            ", headerScoreList=" + headerScoreList +
        "}";
    }
}
